Bug 1250251 - [Director] external vlan network with network isolation doesn't work
[Director] external vlan network with network isolation doesn't work
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tuskar (Show other bugs)
Director
Unspecified Unspecified
unspecified Severity urgent
: y1
: 7.0 (Kilo)
Assigned To: Jay Dobies
Marius Cornea
: TestOnly, Triaged, ZStream
Depends On: 1245159
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 16:20 EDT by Scott Lewis
Modified: 2015-10-08 10:02 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: L3 agent config was incorrectly setting the external network bridge Consequence: The external network bridge was being set to br-ex which fails to work in some environments Fix: The default setting now correctly works and does not require a workaround Result:
Story Points: ---
Clone Of: 1245159
Environment:
Last Closed: 2015-10-08 10:02:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 5 Marius Cornea 2015-08-29 07:58:41 EDT
Default templates values:

[stack@instack ~]$ grep NeutronExternalNetworkBridge /usr/share/openstack-tripleo-heat-templates/environments/*
/usr/share/openstack-tripleo-heat-templates/environments/net-bond-with-vlans.yaml:  NeutronExternalNetworkBridge: "''"
/usr/share/openstack-tripleo-heat-templates/environments/net-single-nic-with-vlans.yaml:  NeutronExternalNetworkBridge: "''"

Resulting l3_agent.ini after deploying using the default environment files:

[root@overcloud-controller-1 ~]# grep external_network_bridge /etc/neutron/l3_agent.ini   | grep -v '^#'
external_network_bridge =

Note You need to log in before you can comment on or make changes to this bug.